%define		real_name	IO-Socket-INET6

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:           perl-%{real_name}
Version:        2.54
Release:        1
Summary:        Perl Object interface for AF_INET|AF_INET6 domain sockets

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~mondejar/%{real_name}/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MO/MONDEJAR/%{real_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

BuildArch:      noarch
BuildRequires:  perl
Requires:	perl

%description
Perl Object interface for AF_INET|AF_INET6 domain sockets 

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# removing unwanted stuff
if [ -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/*/*/perllocal.pod
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%_libdir
%_mandir

%changelog
* Mon Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.54-1
- Initial release
